%macro ddcf_plc_load_phase_out_rltn  ;

/* join*/
proc sql noprint;
	create table phase_out_rltn_tmp1 as
	select b.phase_out_id,a.dim_rltn_dtls_id, a.phase_in_id, . as deselect_ind, "" length = 32 as user_id
	from phase_out_dtls_tmp1 as a, phase_out_dtls_tmp2 as b
	where a.phase_in_id = b.phase_in_id and 
		  a.product_rk = b.product_rk and
		  a.phase_out_dt = b.phase_out_dt and
		  a.temp_phase_out_ind = b.temp_phase_out_ind and
		  a.rephase_in_dt = b.temp_phase_in_dt
	;
quit;

%rcset(&sqlrc);
%if (&job_rc>4) %then %do;
	%put "Error: Error in loading uiart.phase_out_rltn";
	%goto exit;
%end;

data work.phase_out_rltn_tmp2;
	set work.phase_out_rltn_tmp1(keep= phase_out_id dim_rltn_dtls_id deselect_ind user_id);
	retain phase_out_rltn_id 0;
	phase_out_rltn_id+1;
run;

/* append to uiart*/
proc sql noprint;
	&_connect_to_trans_db.;
	&_execute_trans_db.  
	( 
		delete from phase_out_rltn;
	);
	&_disconnect_from_trans_db.;
quit;

%rcset(&sqlrc);
%if (&job_rc>4) %then %do;
	%put "Error: Error in loading uiart.phase_out_rltn";
	%goto exit;
%end;

/*proc append base=uiart.phase_out_rltn data=work.phase_out_rltn_tmp1 force;*/
/*run;*/

%ddcf_postgres_bulkload_append(base= uiart.phase_out_rltn, data=work.phase_out_rltn_tmp2 )

%rcset(&syserr);
%if (&job_rc>4) %then %do;
	%put "Error: Error in loading uiart.phase_out_rltn";
	%goto exit;
%end;

%exit:

%mend;
